• Advertisement
Sign in to follow this  

Vista service pack 1

This topic is 3406 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

After upgrading to SP1 I get this message then running my little projects. D3D10: WARNING: ID3D10ShaderResourceView1::GetDesc: GetDesc is a legacy API. D3D10_SHADER_RESOURCE_VIEW_DESC cannot expose all the functionality available for D3D10.1. If any part of the application uses CreateShaderResourceView1, GetDesc1 needs to be used in order to reflect all the information used during creation.However, if an application only uses D3D10.0 functionality (ie. the legacy CreateShaderResourceView), the legacy GetDesc is adequate.The legacy GetDesc will provide the closest match of information that the API could determine, ensuring that CreateShaderResourceView will continue to be properly reflected. [ STATE_GETTING WARNING #393: SHADERRESOURCEVIEW_GETDESC_LEGACY ] Ive traced it to coming from the ID3DX10Font class. I havent figured out how to fix it though. Anyone have a clue on this ? Stefan

Share this post


Link to post
Share on other sites
Advertisement
Sign in to follow this  

  • Advertisement